Subject: bug#31353: ls unexpectedly quoting filenames

From: Paul Eggert <[email-masked]>
Date: Wed, 2 May 2018 23:01:12 -0700

billy noah wrote:

> No one seems to
> like this new behaviour
I like the new behavior. The old behavior had security problems, since file 
names with unusual characters could confuse users into thinking that the file 
system was X when it really was Y.  The new behavior avoids these problems, and 
so is safer and more predictable.  You can resurrect the old behavior, if you 
like, by using a shell script called 'ls' that invokes /usr/bin/ls with the 
settings you prefer.  However, the default settings should be safe, not risky.